## ros-foxy-moveit-resources-panda-moveit-config 2.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2)
project(moveit_resources_panda_moveit_config)
find_package(ament_cmake REQUIRED)

ament_package()

install(DIRECTORY launch DESTINATION share/${PROJECT_NAME}
  PATTERN "setup_assistant.launch" EXCLUDE)
install(DIRECTORY config DESTINATION share/${PROJECT_NAME})

=== debian/changelog ===
ros-foxy-moveit-resources-panda-moveit-config (2.0.3-1focal) focal; urgency=high

  * Migrate to joint state broadcaster
  * Add panda_hand_controller to demo.launch.py (#87 <https://github.com/ros-planning/moveit_resources/issues/87>)
  * Add fake controller for panda_hand (#73 <https://github.com/ros-planning/moveit_resources/issues/73>)
  * Contributors: Jafar Abdi, Marq Rasmussen, Vatan Aksoy Tezer

 -- Mike Lautman <mike@picknik.ai>  Wed, 15 Sep 2021 21:00:00 -0000

ros-foxy-moveit-resources-panda-moveit-config (2.0.2-1focal) focal; urgency=high

  * Add missing ros2_control parameters (#74 <https://github.com/ros-planning/moveit_resources/issues/74>)
  * Add Panda demo.launch.py and RViz config (#64 <https://github.com/ros-planning/moveit_resources/issues/64>)
  * Remove move group prefixes from rviz configs (#62 <https://github.com/ros-planning/moveit_resources/issues/62>)
  * Ensure panda joint limits have the proper type (#63 <https://github.com/ros-planning/moveit_resources/issues/63>)
  * Contributors: AndyZe, Henning Kayser, Vatan Aksoy Tezer

 -- Mike Lautman <mike@picknik.ai>  Sun, 23 May 2021 21:00:00 -0000

ros-foxy-moveit-resources-panda-moveit-config (2.0.1-1focal) focal; urgency=high

  * Update panda configs for ros2_control (#51 <https://github.com/ros-planning/moveit_resources/issues/51>)
  * Contributors: Jafar Abdi, Tyler Weaver

 -- Mike Lautman <mike@picknik.ai>  Thu, 08 Apr 2021 21:00:00 -0000

ros-foxy-moveit-resources-panda-moveit-config (2.0.0-1focal) focal; urgency=high

  * Port and modernize CMakeLists.txt + package.xml for ROS2 (#26 <https://github.com/ros-planning/moveit_resources/issues/26>, #31 <https://github.com/ros-planning/moveit_resources/issues/31>)
  * Contributors: Henning Kayser, Jafar Abdi, Mike Lautman, Nathan Brooks

 -- Mike Lautman <mike@picknik.ai>  Thu, 19 Nov 2020 21:00:00 -0000

ros-foxy-moveit-resources-panda-moveit-config (0.7.1-1focal) focal; urgency=high

  * Fix self-colliding 'extended' pose (#42 <https://github.com/ros-planning/moveit_resources/issues/42>)
  * Contributors: Henning Kayser

 -- Mike Lautman <mike@picknik.ai>  Thu, 08 Oct 2020 21:00:00 -0000

ros-foxy-moveit-resources-panda-moveit-config (0.7.0-1focal) focal; urgency=high

  * Split resources into multiple packages (#36 <https://github.com/ros-planning/moveit_resources/issues/36>)
  * Remove solver attempts (#35 <https://github.com/ros-planning/moveit_resources/issues/35>)
  * Contributors: Michael Görner, Robert Haschke

 -- Mike Lautman <mike@picknik.ai>  Wed, 12 Aug 2020 21:00:00 -0000

=== debian/control ===
Source: ros-foxy-moveit-resources-panda-moveit-config
Section: misc
Priority: optional
Maintainer: Mike Lautman <mike@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ros-workspace
Homepage: http://moveit.ros.org/
Standards-Version: 3.9.2

Package: ros-foxy-moveit-resources-panda-moveit-config
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-joint-state-publisher, ros-foxy-joint-state-publisher-gui, ros-foxy-moveit-resources-panda-description, ros-foxy-robot-state-publisher, ros-foxy-xacro, ros-foxy-ros-workspace
Description: MoveIt Resources for testing: Franka Emika Panda A project-internal configuration for testing in MoveIt.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-moveit-resources-panda-moveit-config//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
